com.tibco.tea.agent.api

## Class TeaSolutionReference

- java.lang.Object
- - com.tibco.tea.agent.api.TeaSolutionReference

-     public class TeaSolutionReference
      extends Object

  The TeaSolution class in library that gets sent back to the server
  Author:
    mtorres

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TeaSolutionReference()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getKey()`
    `Collection<AgentObjectIdentifier>` | `getMembers()`
    `void` | `setDescription(String description)`
    `void` | `setKey(String key)`
    `TeaSolutionReference` | `withDescription(String description)`
    `TeaSolutionReference` | `withKey(String key)`
    `TeaSolutionReference` | `withMembers(Collection<BaseTeaObject> baseTeaObjects, Map<String,TeaObjectProvider<TeaObject>> teaObjectProviderCache)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TeaSolutionReference

          public TeaSolutionReference()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### setKey

          public void setKey(String key)

    - #### withKey

          public TeaSolutionReference withKey(String key)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### withDescription

          public TeaSolutionReference withDescription(String description)

    - #### withMembers

          public TeaSolutionReference withMembers(Collection<BaseTeaObject> baseTeaObjects,
                                                  Map<String,TeaObjectProvider<TeaObject>> teaObjectProviderCache)

    - #### getMembers

          public Collection<AgentObjectIdentifier> getMembers()

Copyright © 2022 TIBCO Software Inc.. All Rights Reserved.